Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# EggCurve Class Reference

A parametric curve of some kind. More...

Inheritance diagram for EggCurve:

List of all members.

## Public Types
enum | CurveType { CTNone = 0, CTXyz = 1, CTHpr = 2, CTT = 3 }
## Public Member Functions
CurveType | getCurveType ()
| Returns the indicated type of the curve.
int | getSubdiv ()
| Returns the requested number of subdivisions, or 0 if no particular subdivisions have been requested.
EggCurve | operator= (EggCurve const copy)
| setCurveType (CurveType type)
| Sets the type of the curve.
| setSubdiv (int subdiv)
| Sets the number of subdivisions that will be requested across the curve.
## Static Public Member Functions
static TypeHandle | getClassType ()
static CurveType | stringCurveType (string string)
| Returns the CurveType value associated with the given string representation, or CT_invalid if the string does not match any known CurveType value.

## Detailed Description

A parametric curve of some kind.

See EggNurbsCurve.

## Member Enumeration Documentation

enum CurveType

Enumerator:

  CTNone |
  CTXyz |
  CTHpr |
  CTT |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggPrimitive.

Reimplemented in EggNurbsCurve.

CurveType getCurveType | ( |  | ) |

Returns the indicated type of the curve.

int getSubdiv | ( |  | ) |

Returns the requested number of subdivisions, or 0 if no particular subdivisions have been requested.

EggCurve operator= | ( | EggCurve const | copy | ) |

setCurveType | ( | CurveType | type | ) |

Sets the type of the curve.

This is primarily used as a hint to any code that may need to deal with this curve.

setSubdiv | ( | int | subdiv | ) |

Sets the number of subdivisions that will be requested across the curve.

(This doesn't necessary guarantee that this number of subdivisions will be made; it's just a hint to any curve renderer or quick tesselator.) Set the number to 0 to disable the hint.

static CurveType stringCurveType | ( | string | string | ) | `[static]`

Returns the CurveType value associated with the given string representation, or CT_invalid if the string does not match any known CurveType value.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties